Variables
Update App Variables
Update variables for a specific app.
PATCH
/
apps
/
{app_id}
/
variables
Update App Variables
curl --request PATCH \
--url https://api.example.com/apps/{app_id}/variables \
--header 'Content-Type: application/json' \
--data '
[
{
"key": "<string>",
"value": "<string>",
"secret": true
}
]
'import requests
url = "https://api.example.com/apps/{app_id}/variables"
payload = [
{
"key": "<string>",
"value": "<string>",
"secret": True
}
]
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([{key: '<string>', value: '<string>', secret: true}])
};
fetch('https://api.example.com/apps/{app_id}/variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key": "<string>",
"value": "<string>",
"secret": true
}
]Path Parameters
The ID of the app
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Body
application/jsonmultipart/form-data
An array of app variables to update.
Was this page helpful?
⌘I
Update App Variables
